package fel.kte.it.pkropik;

import java.io.File;
import java.io.IOException;
import java.util.Calendar;
import java.util.Date;
import java.util.Scanner;

public class PraceSeSoubory {
    public static void main(String[] args) {
        Scanner klavesnice = new Scanner(System.in);

        System.out.format("Zadejte název souboru: ");
        String nazev = klavesnice.nextLine();

        System.out.format("Zadáno: %s%n", nazev);

        nazev = nazev.replaceAll("\\s", "_");

        if (!nazev.endsWith(".txt")) {
            nazev += ".txt";
        }
        System.out.format("Zadáno: %s%n", nazev);

        File soubor = new File(nazev);
        if (!soubor.exists()) {
            try {
                if (soubor.createNewFile()) {
                    System.out.format("Soubor %s byl úspěšně vytvořen...%n", nazev);
                }
                else {
                    System.out.format("Soubor %s se nezdařilo vytvořit...%n", nazev);
                    return;
                }
            } catch (IOException e) {
                System.out.format("Problém s přístupem k souborovému systému...%n");
                return;
            }
        }
        else {
            System.out.format("Soubor %s již existuje...%n", nazev);
        }

        System.out.format("" + soubor.getAbsolutePath() + "%n");
        try {
            System.out.format("" + soubor.getCanonicalPath() + "%n");
        } catch (IOException e) {
            e.printStackTrace();
        }
        System.out.format("" + soubor.getName() + "%n");
        System.out.format("" + soubor.getParent() + "%n");
        System.out.format("" + soubor.getPath() + "%n");
        System.out.format("" + soubor.isFile() + "%n");
        System.out.format("" + soubor.isDirectory() + "%n");

        System.out.format("" + soubor.lastModified() + "%n");
        Calendar datCas = new Calendar.Builder().setInstant(soubor.lastModified()).build();

        System.out.format(datCas.getTime().toString() + "%n");
        System.out.format("" + datCas.compareTo(new Calendar.Builder().setInstant(new Date()).build()) + "%n");
        System.out.format("" + datCas.compareTo(datCas) + "%n");
        Calendar nejakyCas = new Calendar.Builder().build();
        nejakyCas.set(2019, 9, 10, 1, 5, 25);
        System.out.format("" + datCas.compareTo(nejakyCas) + "%n");
    }
}
